Subject: Clean up handling of NULL in queries
Description

    -  When using equals() comparison against NULL should work as expected.
    -  For collections we need isEmpty().
    -  contains() with a NULL operand should never match.

Related issues:
related to TYPO3.Flow - Task # 6520: Differentiate between NULL and empty arr... Resolved 2010-06-18

Associated revisions
Revision 4499b4ba - 2010-06-21 17:30 - Karsten Dambekalns

[~TASK] FLOW3 (Persistence): When persisting NULL values are now recorded and collection (array, SplObjectStorage) properties are restored as
NULL if they contained NULL, resolves #6520.
[~TASK] FLOW3 (Persistence): Equality comparison in a query now works correctly when comparing against NULL, relates to #8299.
[+API] FLOW3 (Persistence): Query::isEmpty() has been added and can check for empty collection properties, relates to #8299.
[~TASK] FLOW3 (Persistence): The like() constraint now can be used case-insensitive (like equals); constraints do stricter checks on property and
operand types.

Revision 741b038d - 2010-06-21 17:32 - Karsten Dambekalns

[~TASK] FLOW3 (Persistence): When persisting NULL values are now recorded and collection (array, SplObjectStorage) properties are restored as
NULL if they contained NULL, resolves #6520.
[~TASK] FLOW3 (Persistence): Equality comparison in a query now works correctly when comparing against NULL, relates to #8299.
[+API] FLOW3 (Persistence): Query::isEmpty() has been added and can check for empty collection properties, relates to #8299.
[~TASK] FLOW3 (Persistence): The like() constraint now can be used case-insensitive (like equals); constraints do stricter checks on property and
operand types.

History
#1 - 2010-07-08 22:32 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100
